import { Week } from '../interfaces/week';
import { FirstAndLastDate } from '../interfaces/first-and-last-date';
import * as i0 from "@angular/core";
export declare class BsCalendarMonthService {
    getWeeks(month: Date): Week[];
    generateList(count: number): number[];
    dayOfWeekMondayBased(date: Date): number;
    weekOfYear(date: Date): number;
    getFirstAndLastDayOfMonth(date: Date): FirstAndLastDate;
    dateDiff(date1: Date, date2: Date): number;
    dayOfYear(date: Date): number;
    toUTC(date: Date): number;
    chunk<T>(items: T[], size: number): T[][];
    getMondayBefore(date: Date): Date;
    getSundayAfter(date: Date): Date;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsCalendarMonthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BsCalendarMonthService>;
}
